Create assets for direct upload provider/exhibitor streaming/lobby streaming

Create direct upload ID & direct upload URL for session / exhibitor / lobby. For direct upload session/exhibitor/lobby, first, you need to create direct upload assets on MUX. To do this you need to call this API which will prepare direct upload assets on MUX and will return directUploadId and directUploadUrl in response.

directUploadId is a unique reference to uploaded video, and it can be used to get further details about created assets to check this API (https://developer.accelevents.com/reference/update-upload-id-and-file-name).

directUploadUrl is an endpoint where the uploaded video will be stored and used by MUX. Once assets are prepared using this API in the next step, you need to upload a video (https://docs.mux.com/guides/video/upload-files-directly) to directUploadUrl for streaming.

To call this API you need to send sessionId as path parameters.

For creating direct upload assets for exhibitor/lobby users, need to pass 0 as sessionId in the path parameter in this API.

This API can be used by authenticated users only, and it will require super admin/admin/staff level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Defaults to 0

The sessionId represents the unique ID of each session. It will be generated automatically when a new session is created.

string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Headers
string

API Authorization Token

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json